Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.help
Class HelpPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.statcato.help.HelpPanel

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.HyperlinkListener, javax.swing.event.TreeSelectionListener

    public class HelpPanel

extends javax.swing.JPanel
implements javax.swing.event.TreeSelectionListener, javax.swing.event.HyperlinkListener, java.awt.event.ActionListener

Help Panel. Contains documentation for the Statcato application.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `CALC`
`static java.lang.String` | `CALC_BINOMIAL`
`static java.lang.String` | `CALC_CALCULATOR`
`static java.lang.String` | `CALC_CHISQUARE`
`static java.lang.String` | `CALC_DISCRETE`
`static java.lang.String` | `CALC_F`
`static java.lang.String` | `CALC_FREQTABLE`
`static java.lang.String` | `CALC_GEOMETRIC`
`static java.lang.String` | `CALC_HYTESTCONC`
`static java.lang.String` | `CALC_INTEGER`
`static java.lang.String` | `CALC_NORMAL`
`static java.lang.String` | `CALC_POISSON`
`static java.lang.String` | `CALC_PROB`
`static java.lang.String` | `CALC_PVALUE`
`static java.lang.String` | `CALC_STUDENT`
`static java.lang.String` | `CALC_UNIFORM`
`static java.lang.String` | `DATA`
`static java.lang.String` | `DATA_DATA_SEQUENCE`
`static java.lang.String` | `DATA_DISPLAY_DATA`
`static java.lang.String` | `DATA_NUMBER_SEQUENCE`
`static java.lang.String` | `DATA_PATTERN`
`static java.lang.String` | `DATA_RANDOM`
`static java.lang.String` | `DATA_RANDOM_BINOMIAL`
`static java.lang.String` | `DATA_RANDOM_INTEGER`
`static java.lang.String` | `DATA_RANDOM_NORMAL`
`static java.lang.String` | `DATA_RANDOM_UNIFORM`
`static java.lang.String` | `DATA_RANDOM_USER`
`static java.lang.String` | `DATA_RANK`
`static java.lang.String` | `DATA_SORT`
`static java.lang.String` | `DATA_STANDARDIZE`
`static java.lang.String` | `DEFAULT`
`static java.lang.String` | `EDIT`
`static java.lang.String` | `EDIT_MENU`
`static java.lang.String` | `FILE`
`static java.lang.String` | `FILE_MENU`
`static java.lang.String` | `GRAPH`
`static java.lang.String` | `GRAPH_BARCHART`
`static java.lang.String` | `GRAPH_BOXPLOT`
`static java.lang.String` | `GRAPH_DOTPLOT`
`static java.lang.String` | `GRAPH_HISTOGRAM`
`static java.lang.String` | `GRAPH_NQP`
`static java.lang.String` | `GRAPH_PIECHART`
`static java.lang.String` | `GRAPH_SCATTERPLOT`
`static java.lang.String` | `GRAPH_STEMPLOT`
`static java.lang.String` | `INTRO_GETTING_STARTED`
`static java.lang.String` | `INTRO_SHORTCUTS`
`static java.lang.String` | `INTRO_TOOLBAR`
`static java.lang.String` | `INTRO_WELCOME`
`static java.lang.String` | `LICENSE`
`static java.lang.String` | `REFERENCES`
`static java.lang.String` | `STAT`
`static java.lang.String` | `STAT_ANOVA`
`static java.lang.String` | `STAT_ANOVA1`
`static java.lang.String` | `STAT_ANOVA2`
`static java.lang.String` | `STAT_BASIC`
`static java.lang.String` | `STAT_CI`
`static java.lang.String` | `STAT_CI_1MEAN`
`static java.lang.String` | `STAT_CI_1PROP`
`static java.lang.String` | `STAT_CI_1VAR`
`static java.lang.String` | `STAT_CI_2MEAN`
`static java.lang.String` | `STAT_CI_2PROP`
`static java.lang.String` | `STAT_CI_2VAR`
`static java.lang.String` | `STAT_CI_MATCHED`
`static java.lang.String` | `STAT_COLUMN`
`static java.lang.String` | `STAT_CONTINGENCY_TABLE`
`static java.lang.String` | `STAT_CORREG`
`static java.lang.String` | `STAT_DESCRIPTIVE`
`static java.lang.String` | `STAT_GOODNESS_OF_FIT`
`static java.lang.String` | `STAT_HYTEST`
`static java.lang.String` | `STAT_HYTEST_2MEAN`
`static java.lang.String` | `STAT_HYTEST_2PROP`
`static java.lang.String` | `STAT_HYTEST_2VAR`
`static java.lang.String` | `STAT_HYTEST_MATCHED`
`static java.lang.String` | `STAT_HYTEST_MEAN`
`static java.lang.String` | `STAT_HYTEST_PROP`
`static java.lang.String` | `STAT_HYTEST_VAR`
`static java.lang.String` | `STAT_MULTINOMIAL`
`static java.lang.String` | `STAT_NORMALITY`
`static java.lang.String` | `STAT_REG2`
`static java.lang.String` | `STAT_REGMULT`
`static java.lang.String` | `STAT_REGNONLIN`
`static java.lang.String` | `STAT_ROW`
`static java.lang.String` | `STAT_SAMPLE_SIZE`
`static java.lang.String` | `STAT_SAMPLE_SIZE_MEAN`
`static java.lang.String` | `STAT_SAMPLE_SIZE_PROP`
`static java.lang.String` | `WIN_Datasheet_WINDOW`
`static java.lang.String` | `WIN_HISTORY_WINDOW`
`static java.lang.String` | `WIN_SESSION_WINDOW`
`static java.lang.String` | `WIN_WINDOWS`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`HelpPanel()` Constructor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Updates the HTML page in the viewing pane depending on whether the back or forward button is pressed.
`void` | `displayPage(java.lang.String urlString)` Displays the HTML page at the given file name in the viewing pane.
`void` | `displayURL(java.net.URL url)` Displays the HTML page at the given URL in the viewing pane.
`void` | `hyperlinkUpdate(javax.swing.event.HyperlinkEvent event)`
`void` | `searchAndExpand(java.lang.String text)` Searches for a node with the given text in the URL and expands it if found.
`void` | `showPanel()` Schedules a job for the event dispatch thread: creating and showing this application's GUI.
`void` | `valueChanged(javax.swing.event.TreeSelectionEvent e)` Required by TreeSelectionListener interface.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final java.lang.String DEFAULT

See Also:
  Constant Field Values

### INTRO_WELCOME

    public static final java.lang.String INTRO_WELCOME

See Also:
  Constant Field Values

### INTRO_GETTING_STARTED

    public static final java.lang.String INTRO_GETTING_STARTED

See Also:
  Constant Field Values

### INTRO_TOOLBAR

    public static final java.lang.String INTRO_TOOLBAR

See Also:
  Constant Field Values

### INTRO_SHORTCUTS

    public static final java.lang.String INTRO_SHORTCUTS

See Also:
  Constant Field Values

### WIN_WINDOWS

    public static final java.lang.String WIN_WINDOWS

See Also:
  Constant Field Values

### WIN_SESSION_WINDOW

    public static final java.lang.String WIN_SESSION_WINDOW

See Also:
  Constant Field Values

### WIN_Datasheet_WINDOW

    public static final java.lang.String WIN_Datasheet_WINDOW

See Also:
  Constant Field Values

### WIN_HISTORY_WINDOW

    public static final java.lang.String WIN_HISTORY_WINDOW

See Also:
  Constant Field Values

### FILE

    public static final java.lang.String FILE

See Also:
  Constant Field Values

### FILE_MENU

    public static final java.lang.String FILE_MENU

See Also:
  Constant Field Values

### EDIT

    public static final java.lang.String EDIT

See Also:
  Constant Field Values

### EDIT_MENU

    public static final java.lang.String EDIT_MENU

See Also:
  Constant Field Values

### DATA

    public static final java.lang.String DATA

See Also:
  Constant Field Values

### DATA_SORT

    public static final java.lang.String DATA_SORT

See Also:
  Constant Field Values

### DATA_RANK

    public static final java.lang.String DATA_RANK

See Also:
  Constant Field Values

### DATA_DISPLAY_DATA

    public static final java.lang.String DATA_DISPLAY_DATA

See Also:
  Constant Field Values

### DATA_STANDARDIZE

    public static final java.lang.String DATA_STANDARDIZE

See Also:
  Constant Field Values

### DATA_PATTERN

    public static final java.lang.String DATA_PATTERN

See Also:
  Constant Field Values

### DATA_NUMBER_SEQUENCE

    public static final java.lang.String DATA_NUMBER_SEQUENCE

See Also:
  Constant Field Values

### DATA_DATA_SEQUENCE

    public static final java.lang.String DATA_DATA_SEQUENCE

See Also:
  Constant Field Values

### DATA_RANDOM

    public static final java.lang.String DATA_RANDOM

See Also:
  Constant Field Values

### DATA_RANDOM_BINOMIAL

    public static final java.lang.String DATA_RANDOM_BINOMIAL

See Also:
  Constant Field Values

### DATA_RANDOM_INTEGER

    public static final java.lang.String DATA_RANDOM_INTEGER

See Also:
  Constant Field Values

### DATA_RANDOM_NORMAL

    public static final java.lang.String DATA_RANDOM_NORMAL

See Also:
  Constant Field Values

### DATA_RANDOM_UNIFORM

    public static final java.lang.String DATA_RANDOM_UNIFORM

See Also:
  Constant Field Values

### DATA_RANDOM_USER

    public static final java.lang.String DATA_RANDOM_USER

See Also:
  Constant Field Values

### CALC

    public static final java.lang.String CALC

See Also:
  Constant Field Values

### CALC_CALCULATOR

    public static final java.lang.String CALC_CALCULATOR

See Also:
  Constant Field Values

### CALC_PROB

    public static final java.lang.String CALC_PROB

See Also:
  Constant Field Values

### CALC_NORMAL

    public static final java.lang.String CALC_NORMAL

See Also:
  Constant Field Values

### CALC_STUDENT

    public static final java.lang.String CALC_STUDENT

See Also:
  Constant Field Values

### CALC_CHISQUARE

    public static final java.lang.String CALC_CHISQUARE

See Also:
  Constant Field Values

### CALC_F

    public static final java.lang.String CALC_F

See Also:
  Constant Field Values

### CALC_UNIFORM

    public static final java.lang.String CALC_UNIFORM

See Also:
  Constant Field Values

### CALC_BINOMIAL

    public static final java.lang.String CALC_BINOMIAL

See Also:
  Constant Field Values

### CALC_DISCRETE

    public static final java.lang.String CALC_DISCRETE

See Also:
  Constant Field Values

### CALC_GEOMETRIC

    public static final java.lang.String CALC_GEOMETRIC

See Also:
  Constant Field Values

### CALC_INTEGER

    public static final java.lang.String CALC_INTEGER

See Also:
  Constant Field Values

### CALC_POISSON

    public static final java.lang.String CALC_POISSON

See Also:
  Constant Field Values

### CALC_PVALUE

    public static final java.lang.String CALC_PVALUE

See Also:
  Constant Field Values

### CALC_HYTESTCONC

    public static final java.lang.String CALC_HYTESTCONC

See Also:
  Constant Field Values

### CALC_FREQTABLE

    public static final java.lang.String CALC_FREQTABLE

See Also:
  Constant Field Values

### STAT

    public static final java.lang.String STAT

See Also:
  Constant Field Values

### STAT_BASIC

    public static final java.lang.String STAT_BASIC

See Also:
  Constant Field Values

### STAT_DESCRIPTIVE

    public static final java.lang.String STAT_DESCRIPTIVE

See Also:
  Constant Field Values

### STAT_COLUMN

    public static final java.lang.String STAT_COLUMN

See Also:
  Constant Field Values

### STAT_ROW

    public static final java.lang.String STAT_ROW

See Also:
  Constant Field Values

### STAT_NORMALITY

    public static final java.lang.String STAT_NORMALITY

See Also:
  Constant Field Values

### STAT_SAMPLE_SIZE

    public static final java.lang.String STAT_SAMPLE_SIZE

See Also:
  Constant Field Values

### STAT_SAMPLE_SIZE_MEAN

    public static final java.lang.String STAT_SAMPLE_SIZE_MEAN

See Also:
  Constant Field Values

### STAT_SAMPLE_SIZE_PROP

    public static final java.lang.String STAT_SAMPLE_SIZE_PROP

See Also:
  Constant Field Values

### STAT_CI

    public static final java.lang.String STAT_CI

See Also:
  Constant Field Values

### STAT_CI_1MEAN

    public static final java.lang.String STAT_CI_1MEAN

See Also:
  Constant Field Values

### STAT_CI_1PROP

    public static final java.lang.String STAT_CI_1PROP

See Also:
  Constant Field Values

### STAT_CI_1VAR

    public static final java.lang.String STAT_CI_1VAR

See Also:
  Constant Field Values

### STAT_CI_2MEAN

    public static final java.lang.String STAT_CI_2MEAN

See Also:
  Constant Field Values

### STAT_CI_2PROP

    public static final java.lang.String STAT_CI_2PROP

See Also:
  Constant Field Values

### STAT_CI_2VAR

    public static final java.lang.String STAT_CI_2VAR

See Also:
  Constant Field Values

### STAT_CI_MATCHED

    public static final java.lang.String STAT_CI_MATCHED

See Also:
  Constant Field Values

### STAT_HYTEST

    public static final java.lang.String STAT_HYTEST

See Also:
  Constant Field Values

### STAT_HYTEST_MEAN

    public static final java.lang.String STAT_HYTEST_MEAN

See Also:
  Constant Field Values

### STAT_HYTEST_PROP

    public static final java.lang.String STAT_HYTEST_PROP

See Also:
  Constant Field Values

### STAT_HYTEST_VAR

    public static final java.lang.String STAT_HYTEST_VAR

See Also:
  Constant Field Values

### STAT_HYTEST_2MEAN

    public static final java.lang.String STAT_HYTEST_2MEAN

See Also:
  Constant Field Values

### STAT_HYTEST_2PROP

    public static final java.lang.String STAT_HYTEST_2PROP

See Also:
  Constant Field Values

### STAT_HYTEST_2VAR

    public static final java.lang.String STAT_HYTEST_2VAR

See Also:
  Constant Field Values

### STAT_HYTEST_MATCHED

    public static final java.lang.String STAT_HYTEST_MATCHED

See Also:
  Constant Field Values

### STAT_CORREG

    public static final java.lang.String STAT_CORREG

See Also:
  Constant Field Values

### STAT_REG2

    public static final java.lang.String STAT_REG2

See Also:
  Constant Field Values

### STAT_REGMULT

    public static final java.lang.String STAT_REGMULT

See Also:
  Constant Field Values

### STAT_REGNONLIN

    public static final java.lang.String STAT_REGNONLIN

See Also:
  Constant Field Values

### STAT_MULTINOMIAL

    public static final java.lang.String STAT_MULTINOMIAL

See Also:
  Constant Field Values

### STAT_GOODNESS_OF_FIT

    public static final java.lang.String STAT_GOODNESS_OF_FIT

See Also:
  Constant Field Values

### STAT_CONTINGENCY_TABLE

    public static final java.lang.String STAT_CONTINGENCY_TABLE

See Also:
  Constant Field Values

### STAT_ANOVA

    public static final java.lang.String STAT_ANOVA

See Also:
  Constant Field Values

### STAT_ANOVA1

    public static final java.lang.String STAT_ANOVA1

See Also:
  Constant Field Values

### STAT_ANOVA2

    public static final java.lang.String STAT_ANOVA2

See Also:
  Constant Field Values

### GRAPH

    public static final java.lang.String GRAPH

See Also:
  Constant Field Values

### GRAPH_BARCHART

    public static final java.lang.String GRAPH_BARCHART

See Also:
  Constant Field Values

### GRAPH_BOXPLOT

    public static final java.lang.String GRAPH_BOXPLOT

See Also:
  Constant Field Values

### GRAPH_DOTPLOT

    public static final java.lang.String GRAPH_DOTPLOT

See Also:
  Constant Field Values

### GRAPH_HISTOGRAM

    public static final java.lang.String GRAPH_HISTOGRAM

See Also:
  Constant Field Values

### GRAPH_NQP

    public static final java.lang.String GRAPH_NQP

See Also:
  Constant Field Values

### GRAPH_PIECHART

    public static final java.lang.String GRAPH_PIECHART

See Also:
  Constant Field Values

### GRAPH_SCATTERPLOT

    public static final java.lang.String GRAPH_SCATTERPLOT

See Also:
  Constant Field Values

### GRAPH_STEMPLOT

    public static final java.lang.String GRAPH_STEMPLOT

See Also:
  Constant Field Values

### REFERENCES

    public static final java.lang.String REFERENCES

See Also:
  Constant Field Values

### LICENSE

    public static final java.lang.String LICENSE

See Also:
  Constant Field Values

Constructor Detail

### HelpPanel

    public HelpPanel()

  Constructor. Creates a split pane containing the documentation navigation tree and HTML viewing pane. Creates a navigation control panel at the bottom.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Updates the HTML page in the viewing pane depending on whether the back or forward button is pressed. A vector is used to keep track of viewing history.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `e` - action event

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent e)

  Required by TreeSelectionListener interface.

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

### hyperlinkUpdate

    public void hyperlinkUpdate(javax.swing.event.HyperlinkEvent event)

  Specified by:
    `hyperlinkUpdate` in interface `javax.swing.event.HyperlinkListener`

### displayPage

    public void displayPage(java.lang.String urlString)

  Displays the HTML page at the given file name in the viewing pane.

  Parameters:
    `urlString` - file name

### displayURL

    public void displayURL(java.net.URL url)

  Displays the HTML page at the given URL in the viewing pane. Maintains a history of pages viewed.

  Parameters:
    `url` - HTML page URL

### showPanel

    public void showPanel()

  Schedules a job for the event dispatch thread: creating and showing this application's GUI.

### searchAndExpand

    public void searchAndExpand(java.lang.String text)

  Searches for a node with the given text in the URL and expands it if found.

  Parameters:
    `text` - URL string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD